local gr = love.graphics

function love.load()
	gr.setFont( gr.newFont( 18 ) )
	image = {
		face 	= gr.newImage( 'c_face.jpg' ),
		hub		= gr.newImage( 'c_hub.png' ),
		hour	= gr.newImage( 'c_hour.png' ),
		minute	= gr.newImage( 'c_min.png' )
		}
	width, height = image.face:getWidth()/2, image.face:getHeight()/2
	love.window.setMode( width, height, { borderless = true } )
	lmx,lmy = image.minute:getWidth(), image.minute:getHeight()
	lhx,lhy = image.hour:getWidth(), image.hour:getHeight()
	center	= { x = 200, y = 230 }
	steps	= {		-- hand angle and length for each minute
		{0.29,120},{0.32,117},{0.37,114},{0.45,111},{0.50,105},
		{0.58, 97},{0.66, 92},{0.69, 87},{0.82, 79},{0.95, 73},
		{1.15, 63},{1.39, 54},{1.59, 53},{1.74, 50},{1.92, 45},
		{2.19, 40},{2.42, 31},{2.64, 27},{3.01, 24},{3.44, 23},
		{4.06, 26},{4.31, 41},{4.41, 51},{4.45, 64},{4.51, 78},
		{4.60, 95},{4.65,110},{4.66,126},{4.67,140},{4.70,150},
		{4.71,167},{4.76,161},{4.79,148},{4.82,128},{4.83,128},
		{4.86,115},{4.86, 97},{4.86, 95},{4.86, 91},{4.88, 83},
		{4.88, 77},{4.88, 70},{4.88, 66},{4.90, 56},{4.97, 47},
		{5.20, 36},{5.44, 36},{5.78, 42},{5.94, 54},{5.97, 65},
		{6.01, 76},{6.03, 80},{6.04, 85},{6.13,101},{6.24,110},
		{0.04,112},{0.11,118},{0.14,119},{0.19,120},{0.24,120},
		{0.29,120},{0.32,117},{0.37,114},{0.45,111},{0.50,105},}
	end

function love.draw()
	gr.setColor( 255, 255, 255 )
	gr.draw( image.face, 0, 0, 0, 0.5, 0.5 )
	gr.setColor( 255, 0, 0,155 )
	gr.draw( image.hub, center.x, center.y, 0, 0.35, 0.35, 17, 19 )
	gr.draw( image.minute, center.x, center.y, steps[s+1][1],     steps[s+1][2]/lmx, 0.4, 199, 9 )
	gr.draw( image.minute, center.x, center.y, steps[m+1][1], 0.9*steps[m+1][2]/lmx, 0.5, 199, 9 )
	gr.draw( image.hour,   center.x, center.y, steps[5*(h)+1+math.floor(m/12)][1], 0.9*steps[5*(h)+1+math.floor(m/12)][2]/lhx, 0.7, 120, 10 )
	local tm = h..':'..m..':'..s
	gr.setColor( 125, 125, 55 )
	gr.print( tm, 15, 410 )
	frame()
	end

function frame()
	for i=1,15 do gr.setColor( 125-5*i, 125-5*i, 55 ) gr.rectangle('line',i,i,width-2*i,height-2*i) end
	end

function love.update()
	m = os.date( '%M' )
	h = tonumber( os.date( '%H' ) )h = h>12 and h-12 or h
	s = os.date( '%S' )
	M = os.date( '%m' )
	D = os.date( '%d' )
	Y = os.date( '%Y' )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end
